
//
//  File: DetailViewManager.h
//  CoreDataLibraryApp
//  Abstract: The split view controller's delegate.  It coordinates the display of detail view controllers.
//
//  Created by Duncan Groenewald on 11/02/2014.
//  Copyright (c) 2014 OSSH Pty Ltd. All rights reserved.
//

#import <UIKit/UIKit.h>

/*
 SubstitutableDetailViewController defines the protocol that detail view controllers must adopt.
 The protocol specifies aproperty for the bar button item controlling the navigation pane.
 */
@protocol SubstitutableDetailViewController
@property (nonatomic, retain) UIBarButtonItem *navigationPaneBarButtonItem;
@property (nonatomic, retain) IBOutlet UINavigationBar *navigationBar;
@end

@interface DetailViewManager : NSObject <UISplitViewControllerDelegate> {
    
}

/// Things for IB
// The split view this class will be managing.
@property (nonatomic, retain) IBOutlet UISplitViewController *splitViewController;

// The presently displayed detail view controller.  This is modified by the various 
// view controllers in the navigation pane of the split view controller.
@property (nonatomic, assign) IBOutlet UIViewController<SubstitutableDetailViewController> *detailViewController;
@property (nonatomic, retain) IBOutlet UIViewController<SubstitutableDetailViewController> *openingViewController;

- (void)showOpeningViewController;

@end
