//
//  OSImageDataTransformer.m
//  iProjectMac
//
//  Created by Duncan Groenewald on 21/08/13.
//  Copyright (c) 2013 OSSH Pty. Ltd. All rights reserved.
//

#import "OSImageDataTransformer.h"

@implementation OSImageDataTransformer


+ (Class)transformedValueClass
{
    return [NSImage class];
}

+ (BOOL)allowsReverseTransformation
{
    return YES;
}

- (id)transformedValue:(id)value
{
    if ([value isKindOfClass:[NSData class]])
        return [[NSImage alloc] initWithData:value];
    else
        return nil;
}

- (id)reverseTransformedValue:(id)value
{
    if ([value isKindOfClass:[NSImage class]])
        return [value TIFFRepresentationUsingCompression:NSTIFFCompressionLZW factor:1];
    else
        return nil;

}
@end
